class LearningObjects::BuildController < ::ApplicationController
  include Wicked::Wizard
  before_action :set_learning_object, only: [:show, :update]
  steps :upload_attachments, :select_default_attachment, :define_highlight_picture

  def show
    render_wizard
  end

  def update
    @learning_object.update_attributes(params[:learning_object])
    publish_learning_object if step == steps.last
    render_wizard @learning_object
  end


  def create
    @learning_object = LearningObject.create
    redirect_to wizard_path(steps.first, learning_object_id: @learning_object.id)
  end

  private

  def set_learning_object
    @learning_object = LearningObject.unscoped.find(params[:learning_object_id])
  end

  def publish_learning_object
    @learning_object.publish
    @learning_object.save
  end
end